Update an Equipment Model
curl --request PUT \
--url https://api.example.com/v1/crm/leads/{leadId}/equipment-models/{equipmentModelId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"equipmentName": "<string>",
"connectionType": [],
"inStock": true,
"freePlacement": true
}
'import requests
url = "https://api.example.com/v1/crm/leads/{leadId}/equipment-models/{equipmentModelId}"
payload = {
"equipmentName": "<string>",
"connectionType": [],
"inStock": True,
"freePlacement": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
equipmentName: '<string>',
connectionType: [],
inStock: true,
freePlacement: true
})
};
fetch('https://api.example.com/v1/crm/leads/{leadId}/equipment-models/{equipmentModelId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"equipmentName": "<string>",
"connectionType": [],
"inStock": true,
"freePlacement": true
}{
"status": 123,
"code": "<string>",
"detail": "<string>"
}{
"status": 123,
"code": "<string>",
"detail": "<string>"
}Equipment
Update application equipment model
Update an application equipment model
PUT
/
v1
/
crm
/
leads
/
{leadId}
/
equipment-models
/
{equipmentModelId}
Update an Equipment Model
Authorizations
bearerAuthapiKey
Enter token in following format: Bearer
Body
application/json
Response
The updated equipment model.
Pattern:
^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$Maximum string length:
32Available options:
terminal, pin_pad, lite_pos, mobile_app, var_sheet Available options:
ip, wifi, gprs, ios, android ⌘I
